%{?nodejs_find_provides_and_requires}

%global module  nodegit

Name:           nodejs-%{module}
Version:        0.20.1
Release:        1%{?dist}
Summary:        Native Node bindings to Git

License:        MIT
URL:            http://www.nodegit.org/
Source0:        http://registry.npmjs.org/%{module}/-/%{module}-%{version}.tgz
Patch0:         001_remove_vendored_libs.patch

ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp

BuildRequires:  libgit2-devel >= 0.26.0
BuildRequires:  libssh2-devel
BuildRequires:  libcurl-devel

BuildRequires:  npm(nan) 
BuildRequires:  npm(fs-extra)
BuildRequires:  npm(lodash)
BuildRequires:  npm(promisify-node)

%{?nodejs_default_filter}

%description
%{summary}.

%prep
%autosetup -n package
rm -rf vendor
%nodejs_fixdep -r node-gyp
%nodejs_fixdep -r node-pre-gyp
%nodejs_fixdep fs-extra
%nodejs_fixdep lodash
%nodejs_fixdep nan

%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
node-gyp rebuild

%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/%{module}/build/Release
cp -p build/Release/%{module}.node %{buildroot}/%{nodejs_sitelib}/%{module}/build/Release
cp -pr package.json dist %{buildroot}/%{nodejs_sitelib}/%{module}/
%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{nodejs_sitearch}/%{module}

%changelog
* Fri Aug 25 2017 Olivier Lemasle <o.lemasle@gmail.com> - 0.20.1-1
- Initial package

